
Insteon - Bug #923

Excessive duration from transaction

12/01/2014 06:30 AM - Luke Murphey

Status: Closed Start date: 12/01/2014

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.5   

Description

I'm seeing a transaction with a date of 11/30/14 4:40:48.000 PM that has a duration of 21142 on the SynchroLinc report. Run a

search for the following to find it:

sourcetype=insteon_plm (category=7 AND subcategory=9) | search (to="*" OR from="*") all_link=1 all_link_group=0 |

transaction from endswith="cmd1=13" startswith="cmd1=11" maxevents=2 | search duration>100

History

#1 - 12/01/2014 07:11 AM - Luke Murphey

- Status changed from New to In Progress

#2 - 12/01/2014 07:25 AM - Luke Murphey

21142 translates to about 6 hours

#3 - 12/01/2014 07:30 AM - Luke Murphey

From what I can tell, this is matching a transaction from 2014-11-30 16:40:48 to 2014-11-30 22:31:31. This is caused by having redundant cmd 11

and cmd 13s. I need to find a way to consider a transaction uncompleted when another transaction is starting.

#4 - 12/01/2014 07:58 AM - Luke Murphey

Setting maxopentxn=2 discards the weird transactions. However, I would think this will not allow reporting on multiple devices.

#5 - 12/01/2014 07:59 AM - Luke Murphey

I think the answer is maxopenevents=2. This would evict transactions where the endswith is not satisfied (when another transaction started). This

does seem to reject the 16:40:48 seen earlier.

#6 - 12/01/2014 07:59 AM - Luke Murphey

http://docs.splunk.com/Documentation/Splunk/6.2.0/SearchReference/Transaction

#7 - 12/01/2014 08:15 AM - Luke Murphey

- Status changed from In Progress to Closed

- % Done changed from 0 to 100
